Bug 827342 - Review and unify the PAM authentication documentation
Review and unify the PAM authentication documentation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Macpherson
Dan Macpherson
:
Depends On:
Blocks: sat55-docs
  Show dependency treegraph
 
Reported: 2012-06-01 03:45 EDT by Jan Pazdziora
Modified: 2013-10-11 07:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-11 07:21:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2012-06-01 03:45:02 EDT
Description of problem:

We had bug 701900 and bug 739582 for PAM authentication. But now that I'm looking at the 5.4 documentation and we have PAM mentioned not only in user guide and installation guide but also in deployment guide:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Deployment_Guide/sect-Getting_Started_Guide-Satellite_Operation_Guidance-Implementing_PAM_Authentication.html

And here again we have those /lib/security and /lib/security64 paths which I believe are not needed, and in any case the examples do not match those at

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/Installation_Guide/sect-Installation_Guide-Maintenance-Implementing_PAM_Authentication.html

and

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/User_Guide/chap-User_Guide-PAM_Authentication.html

O wonder if we need the topic covered in three different docs sets.

Also note that http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/5.4/html/User_Guide/chap-User_Guide-PAM_Authentication.html talks about

"Example 5.1. Using PAM with Kerberos on a Red Hat Enterprise Linux 5 i386 system"

-- that i386 bit should not be needed here if we are not including the paths in the config files.

Version-Release number of selected component (if applicable):

Satellite 5.4 docs.

How reproducible:

Deterministic.

Steps to Reproduce:
1. Look at three places in Satellite docs where we talk about PAM.
  
Actual results:

Different suggestions to configure the thing.

Expected results:

They give the same advice about configuring the thing. Or maybe the topic is covered in just one place and no in three.

Additional info:
Comment 3 Dan Macpherson 2013-09-11 01:44:10 EDT
Verified revised PAM auth documentation.
Comment 4 Clifford Perry 2013-10-11 07:21:35 EDT
Satellite 5.6 Documentation is published, as part of the 5.6 release and can be found here: 

https://access.redhat.com/site/documentation/Red_Hat_Satellite/

Closing this bug out. Please open a new bug, if there is further issues/concerns with the Satellite Documentation.

Regards,
Cliff

Note You need to log in before you can comment on or make changes to this bug.